onEvent('recipes', event => {
    //mob slaughter factory
    event.remove({ id: IF("mob_slaughter_factory") })
    event.shaped(IF("mob_slaughter_factory"), [
		'PGP',
		'SFS',
		'ATA'
	], {
		P: IF("plastic"),
		G: F("#gears/gold"),
		S: MC("iron_sword"),
        F: IF("machine_frame_simple"),
        A: MC("iron_axe"),
        T: KJ("calculation_mechanism")
	})

    //mechanical dirt
    event.replaceInput({ id: IF("dissolution_chamber/mechanical_dirt") }, IF("machine_frame_pity"), IF("machine_frame_simple"))
    event.replaceInput({ id: IF("dissolution_chamber/mechanical_dirt") }, MC("dirt"), MU("cursed_earth"))
})